package com.foreverwin.mesnac.equip.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 
 * </p>
 *
 * @author pavel.liu
 * @since 2021-10-09
 */

@TableName("Z_RESOURCE_RUN_TIME")

public class ResourceRunTime extends Model<ResourceRunTime> {

    private static final long serialVersionUID = 1L;

   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
   @TableField("SITE")
   private String site;
   @TableField("SEND_DATE")
   private String sendDate;
   @TableField("RESRCE")
   private String resrce;
   @TableField("RUN_TIME")
   private Double runTime;
   @TableField("UP_TIME")
   private LocalDateTime upTime;
   @TableField("CREATED_USER")
   private String createdUser;
   @TableField("CREATED_DATA_TIME")
   private LocalDateTime createdDataTime;
   @TableField("MODIFIED_USER")
   private String modifiedUser;
   @TableField("MODIFIED_DATE_TIME")
   private LocalDateTime modifiedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getSendDate() {
      return sendDate;
   }

   public void setSendDate(String sendDate) {
      this.sendDate = sendDate;
   }

   public String getResrce() {
      return resrce;
   }

   public void setResrce(String resrce) {
      this.resrce = resrce;
   }

   public Double getRunTime() {
      return runTime;
   }

   public void setRunTime(Double runTime) {
      this.runTime = runTime;
   }

   public LocalDateTime getUpTime() {
      return upTime;
   }

   public void setUpTime(LocalDateTime upTime) {
      this.upTime = upTime;
   }

   public String getCreatedUser() {
      return createdUser;
   }

   public void setCreatedUser(String createdUser) {
      this.createdUser = createdUser;
   }

   public LocalDateTime getCreatedDataTime() {
      return createdDataTime;
   }

   public void setCreatedDataTime(LocalDateTime createdDataTime) {
      this.createdDataTime = createdDataTime;
   }

   public String getModifiedUser() {
      return modifiedUser;
   }

   public void setModifiedUser(String modifiedUser) {
      this.modifiedUser = modifiedUser;
   }

   public LocalDateTime getModifiedDateTime() {
      return modifiedDateTime;
   }

   public void setModifiedDateTime(LocalDateTime modifiedDateTime) {
      this.modifiedDateTime = modifiedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String SEND_DATE = "SEND_DATE";

public static final String RESRCE = "RESRCE";

public static final String RUN_TIME = "RUN_TIME";

public static final String UP_TIME = "UP_TIME";

public static final String CREATED_USER = "CREATED_USER";

public static final String CREATED_DATA_TIME = "CREATED_DATA_TIME";

public static final String MODIFIED_USER = "MODIFIED_USER";

public static final String MODIFIED_DATE_TIME = "MODIFIED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "ResourceRunTime{" +
         "handle = " + handle +
         ", site = " + site +
         ", sendDate = " + sendDate +
         ", resrce = " + resrce +
         ", runTime = " + runTime +
         ", upTime = " + upTime +
         ", createdUser = " + createdUser +
         ", createdDataTime = " + createdDataTime +
         ", modifiedUser = " + modifiedUser +
         ", modifiedDateTime = " + modifiedDateTime +
         "}";
   }
}